#### D.9.2.13 xdvi

Procedure from library `latex.lib` (see latex_lib).

Usage:
  xdvi(fname[,style]); fname,style = string

Return:
  nothing; displays dvi-file fname.dvi with previewer xdvi

Note:
  suffix .dvi may be omitted in fname
  style captures the program that will be called instead of the default (xdvi)

Example:

    LIB "latex.lib";
    intmat m[3][4] = 9,2,4,5,2,5,-2,4,-6,10,-1,2,7;
    opentex("exp001");
    texobj("exp001","An intmat:  ",m);
    closetex("exp001");
    tex("exp001");
    ==> calling latex2e for: exp001.tex
    ==>
    ==> This is pdfTeX, Version 3.14159265-2.6-1.40.15 (TeX Live 2014) (preloaded\
        format=latex)
    ==>  restricted \write18 enabled.
    ==> entering extended mode
    ==> (./exp001.tex
    ==> LaTeX2e <2014/05/01>
    ==> Babel <3.9l> and hyphenation patterns for 2 languages loaded.
    ==> (/usr/share/texmf-dist/tex/latex/base/article.cls
    ==> Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
    ==> (/usr/share/texmf-dist/tex/latex/base/size10.clo))
    ==> (/usr/share/texmf-dist/tex/latex/amsmath/amsmath.sty
    ==> For additional information on amsmath, use the `?' option.
    ==> (/usr/share/texmf-dist/tex/latex/amsmath/amstext.sty
    ==> (/usr/share/texmf-dist/tex/latex/amsmath/amsgen.sty))
    ==> (/usr/share/texmf-dist/tex/latex/amsmath/amsbsy.sty)
    ==> (/usr/share/texmf-dist/tex/latex/amsmath/amsopn.sty))
    ==> (/usr/share/texmf-dist/tex/latex/amsfonts/amssymb.sty
    ==> (/usr/share/texmf-dist/tex/latex/amsfonts/amsfonts.sty))
    ==> No file exp001.aux.
    ==> (/usr/share/texmf-dist/tex/latex/amsfonts/umsa.fd)
    ==> (/usr/share/texmf-dist/tex/latex/amsfonts/umsb.fd) [1] (./exp001.aux) )
    ==> Output written on exp001.dvi (1 page, 524 bytes).
    ==> Transcript written on exp001.log.
    xdvi("exp001");
    ==> calling  xdvi  for : exp001
    ==>
    system("sh","rm exp001.*");
    ==> 0

User manual for Singular version 4-0-3, 2016, generated by texi2html.